# Uses of Class
org.apache.wiki.auth.authorize.Role

Packages that use Role
Package
Description
org.apache.wiki.auth.authorize
Authorizer implementation.

## Uses of Role in org.apache.wiki.auth.authorize

Fields in org.apache.wiki.auth.authorize declared as Role
Modifier and Type
Field
Description
`static final Role`
Role.`ALL`
All users, regardless of authentication status
`static final Role`
Role.`ANONYMOUS`
If the user hasn't supplied a name
`static final Role`
Role.`ASSERTED`
If the user has supplied a cookie with a username
`static final Role`
Role.`AUTHENTICATED`
If the user has authenticated with the Container or UserDatabase
`protected Role[]`
WebContainerAuthorizer.`m_containerRoles`
A lazily-initialized array of Roles that the container knows about.
Methods in org.apache.wiki.auth.authorize that return Role
Modifier and Type
Method
Description
`protected Role[]`
WebContainerAuthorizer.`getRoles(org.jdom2.Document webxml)`
Protected method that extracts the roles from JSPWiki's web application deployment descriptor.
Methods in org.apache.wiki.auth.authorize with parameters of type Role
Modifier and Type
Method
Description
`static boolean`
Role.`isBuiltInRole(Role role)`
Returns `true` if a supplied Role is a built-in Role: `ALL`, `ANONYMOUS`, `ASSERTED`, or `AUTHENTICATED`.
`boolean`
WebContainerAuthorizer.`isConstrained(String url, Role role)`
Protected method that identifies whether a particular webapp URL is constrained to a particular Role.